%define site_path /var/www/blog

Name: cve-basealt
Version: 20210624
Release: alt1

Summary: Content of cve.basealt.ru
License: GPLv3
Group: Other
Packager: Alexey Appolonov <alexey@altlinux.org>

Source: %name-%version.tar

BuildRequires: pelican

BuildArch: noarch

%description
HTML pages for cve.basealt.ru are generated with pelican
during the build phase of this package.

If you are not root on the web server, one way to unpack it is:

rpm2cpio %name-%EVR.noarch.rpm | { cd / && cpio -imd; }

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

%prep
%setup

%build
# pelican can throw errors and warnings for something
# that has no effect on the end result
pelican content/

%install
mkdir -p %buildroot%site_path
cp -r output -T %buildroot%site_path

%files
%site_path

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

%changelog
* Thu Jun 24 2021 Alexey Appolonov <alexey@altlinux.org> 20210624-alt1
- Improved cve-inform utility, which can now filter collected information
  using package lists;
- Collected new information from the tasks/changelogs.

* Mon May 17 2021 Alexey Appolonov <alexey@altlinux.org> 20210517-alt1
- Collected new information from the tasks/changelogs;
- Improved app used for collecting information about tasks and for forming
  markdown files;
- Corrected manual.

* Mon Mar 08 2021 Denis Medvedev <nbr@altlinux.org> 20210308-alt1
- collected new information from tasks

* Fri Feb 19 2021 Alexey Appolonov <alexey@altlinux.org> 20210219-alt3
- Updated manual.

* Fri Feb 19 2021 Denis Medvedev <nbr@altlinux.org> 20210219-alt2
- fixed content

* Fri Feb 19 2021 Denis Medvedev <nbr@altlinux.org> 20210219-alt1
- new info

* Tue Feb 09 2021 Alexey Appolonov <alexey@altlinux.org> 20210209-alt1
- Collected new information from the tasks/changelogs.

* Wed Feb 03 2021 Alexey Appolonov <alexey@altlinux.org> 20210203-alt1
- Branch c8 is switched to branch c9f1 but will be shown under the same label;
- Collected new information from the tasks/changelogs.

* Wed Mar 18 2020 Ivan Zakharyaschev <imz@altlinux.org> 20200318-alt1
- Collected new information (of types: fix, mention)
  from the tasks/changelogs (of branches: c7, c8).
  (gear-cronbuild-apply-hooks at your service!)

* Sat Jan 18 2020 Ivan Zakharyaschev <imz@altlinux.org> 20200110-alt3
- (.spec) The version format made suitable for cronbuild.

* Fri Jan 10 2020 Ivan Zakharyaschev <imz@altlinux.org> 200110-alt2
- Relocated the contents to /var/www/blog.

* Fri Jan 10 2020 Ivan Zakharyaschev <imz@altlinux.org> 200110-alt1
- Collected new information from the tasks/changelogs.

* Thu Oct 31 2019 Ivan Zakharyaschev <imz@altlinux.org> 191030-alt1
- Collected new information from the tasks/changelogs.

* Thu Sep 12 2019 Alexey Appolonov <alexey@altlinux.org> 190912-alt1
- From now on html pages for cve.basealt.ru will be generated automatically
  inside hasher.

